Results 1 to 9 of 9

Thread: OpenSuse 11.2 64bit and 32bit Opera

  1. #1

    Default OpenSuse 11.2 64bit and 32bit Opera

    I try to install 32bit Opera (rpm from Suse repo or rpm from Opera site), but get error -
    error: Failed dependencies:
    libQtGui.so.4 is needed by opera-2:10.10-4742.gcc4.qt4.i386

    How I can install 32bit complex of Qt4 ?

  2. #2
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: OpenSuse 11.2 64bit and 32bit Opera

    You shouldn't be trying to install rpms manually but use the package manager to get it done, open a terminal window and type;
    su -c "zypper in opera"
    or alternatively use the YAST / Software / Install Software to do it.

    Never install rpms manually.

    Also consider reading: http://opensuse-guide.org/

  3. #3

    Default Re: OpenSuse 11.2 64bit and 32bit Opera

    Quote Originally Posted by Chrysantine View Post
    su -c "zypper in opera"
    zypper installs Opera 64bit.
    I want Opera 32bit.

  4. #4

    Default Re: OpenSuse 11.2 64bit and 32bit Opera

    Is there any good reason why?

  5. #5

    Default Re: OpenSuse 11.2 64bit and 32bit Opera

    Quote Originally Posted by Akoellh View Post
    Is there any good reason why?
    32bit - for compatibility with plugins, more stability and less memory usage.

  6. #6

    Default Re: OpenSuse 11.2 64bit and 32bit Opera

    Dunno what your problems are, opera 64 bit runs here with all typical plugins (java, flash, media player plugin), is as stable as the 32 Bit version and does not use significantly more memory than 32 bit version.

    P.S.

    Zypper can install local rpm-files, too.

    //Edit:

    opera:plugins

    Code:
    Plug-ins
    
    Shockwave Flashapplication
    /futuresplash	spl
    application/x-shockwave-flash	swf,spl
    /usr/lib/browser-plugins/libflashplayer.so
    
    Windows Media Player Plug-in
    audio/wav	wav
    audio/x-wav	wav
    video/x-msvideo	avi,divx
    video/x-ms-asf	asf,asx
    application/asx	
    video/x-ms-asf-plugin	
    application/x-mplayer2	
    video/x-ms-wm	wm
    audio/x-ms-wma	wma
    audio/x-ms-wax	wax
    video/x-ms-wvx	wvx
    video/x-ms-wmv	wmv
    video/msvideo	avi,*
    application/x-ms-wmv	wmv,*
    audio/x-ms-wmv	wmv,*
    video/x-ms-wmp	wmp,*
    application/x-ms-wmp	wmp,*
    application/x-drm-v2	asx,*
    /usr/lib64/opera/plugins/mplayerplug-in-wmp.so
    
    mplayerplug-in 3.55video
    /mpeg	mpeg,mpg,mpe,m2v,m1v,mpa,vob,m2t,mp2
    audio/mpeg	mp3,mp2,mpga,mpg,mpeg
    audio/x-mpegurl	m3u,vlc,m3u8
    audio/basic	au,snd
    video/x-mpeg	mpg,mpeg
    video/x-mpeg2	mpv2,mp2ve
    audio/x-mpeg	mpg,mpeg
    audio/mpeg2	mp2
    audio/x-mpeg2	mp2
    video/3gpp	mp4,3gp,3gpp,3g2,3ga
    audio/mpeg3	mp3
    audio/x-mpeg3	mp3
    audio/mp3	mp3
    application/x-ogg	ogg
    audio/ogg	ogg,oga
    audio/x-ogg	ogg
    application/ogg	ogg,ogx
    audio/flac	flac
    audio/x-flac	flac
    video/fli	fli,flc
    video/x-fli	fli,flc
    video/x-flv	flv
    video/vnd.vivo	viv,vivo
    application/x-nsv-vp3-mp3	nsv
    audio/x-mod	mod,mtm,med,m15,ult,uni,669
    audio/x-basic	au,snd
    audio/x-scpls	pls,xpl
    video/mp4	mp4,m4v
    audio/mp4	mp4,aac,m4a
    audio/x-mp4	mp4
    /usr/lib64/opera/plugins/mplayerplug-in.so
    
    QuickTime Plug-in 7.4.5
    video /quicktime	qt,mov,mp4,sdp,moov,qtvr
    application/smil	smi,smil,sml,kino
    video/x-quicktime	mov
    image/x-quicktime	mov,qtif,qif
    application/x-quicktimeplayer	mov
    /usr/lib64/opera/plugins/mplayerplug-in-qt.so
    
    Google VLC multimedia plugin 1.0
    /usr/lib64/opera/plugins/mplayerplug-in-gmp.so
    
    Java(TM) Plug-in 1.6.0_19
    /usr/lib64/browser-plugins/javaplugin.so
    
    Skype Buttons for Kopete
    /usr/lib64/browser-plugins/skypebuttons.so
    
    Windows Media Player Plug-inaudio/wav	wav
    audio/x-wav	wav
    video/x-msvideo	avi,divx
    video/x-ms-asf	asf,asx
    application/asx	
    video/x-ms-asf-plugin	
    application/x-mplayer2	
    video/x-ms-wm	wm
    audio/x-ms-wma	wma
    audio/x-ms-wax	wax
    video/x-ms-wvx	wvx
    video/x-ms-wmv	wmv
    video/msvideo	avi,*
    application/x-ms-wmv	wmv,*
    audio/x-ms-wmv	wmv,*
    video/x-ms-wmp	wmp,*
    application/x-ms-wmp	wmp,*
    application/x-drm-v2	asx,*
    /usr/lib64/browser-plugins
    /mplayerplug-in-wmp.so
    
    OpenSC Signer plugin
    text/x-text-to-sign	sgn
    /usr/lib64/browser-plugins/opensc-signer.so
    
    mplayerplug-in 3.55
    video/mpeg	mpeg,mpg,mpe,m2v,m1v,mpa,vob,m2t,mp2
    audio/mpeg	mp3,mp2,mpga,mpg,mpeg
    audio/x-mpegurl	m3u,vlc,m3u8
    audio/basic	au,snd
    video/x-mpeg	mpg,mpeg
    video/x-mpeg2	mpv2,mp2ve
    audio/x-mpeg	mpg,mpeg
    audio/mpeg2	mp2
    audio/x-mpeg2	mp2
    video/3gpp	mp4,3gp,3gpp,3g2,3ga
    audio/mpeg3	mp3
    audio/x-mpeg3	mp3
    audio/mp3	mp3
    application/x-ogg	ogg
    audio/ogg	ogg,oga
    audio/x-ogg	ogg
    application/ogg	ogg,ogx
    audio/flac	flac
    audio/x-flac	flac
    video/fli	fli,flc
    video/x-fli	fli,flc
    video/x-flv	flv
    video/vnd.vivo	viv,vivo
    application/x-nsv-vp3-mp3	nsv
    audio/x-mod	mod,mtm,med,m15,ult,uni,669
    audio/x-basic	au,snd
    audio/x-scpls	pls,xpl
    video/mp4	mp4,m4v
    audio/mp4	mp4,aac,m4a
    audio/x-mp4	mp4
    /usr/lib64/browser-plugins/mplayerplug-in.so
    
    QuickTime Plug-in 7.4.5
    video/quicktime	qt,mov,mp4,sdp,moov,qtvr
    application/smil	smi,smil,sml,kino
    video/x-quicktime	mov
    image/x-quicktime	mov,qtif,qif
    application/x-quicktimeplayer	mov
    /usr/lib64/browser-plugins/mplayerplug-in-qt.so
    
    Google VLC multimedia plugin 1.0
    /usr/lib64/browser-plugins/mplayerplug-in-gmp.so
    
    NPAPI Plugins Wrapper 1.2.2
    unknown/mime-type	none
    /usr/lib64/browser-plugins/npwrapper.so
    
    Shockwave Flash
    application/futuresplash	spl
    application/x-shockwave-flash	swf,spl
    /usr/lib64/browser-plugins/npwrapper.libflashplayer.so

  7. #7

    Default Re: OpenSuse 11.2 64bit and 32bit Opera

    rpm installed manually.
    32bit Opera works fine and require smaller memory.

    libqt4-x11-4.5.3-2.4.2.i586.rpm
    libqt4-4.5.3-2.4.2.i586.rpm

  8. #8
    google01103 NNTP User

    Default Re: OpenSuse 11.2 64bit and 32bit Opera

    evgeniy 10 wrote:

    >
    > Akoellh;2148533 Wrote:
    >> Is there any good reason why?

    >
    > 32bit - for compatibility with plugins, more stability and less

    memory
    > usage.
    >
    >

    I think you wrong on all accounts

    --
    openSuse 11.2 x64bit, KDE4.4, Opera weekly

  9. #9

    Default Re: OpenSuse 11.2 64bit and 32bit Opera

    For the record:

    2 sun_java in OpenSuse 11.2. x64 - openSUSE Forums

    I knew this would happen next, so much for "more plugin compatibility" and trying to install 32-bit java on 64 Bit openSUSE might work, but if not being _very_ careful it's the loud call for trouble and an exciting new way of b0rking your system.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •